Table of Contents

Class: CollectionForm | Twisted-0.19.0/twisted/coil/web.py
--- | ---
Form for a collection of objects - adding, deleting, etc.
Base Classes |
--- | ---
widgets.Form
Methods |
--- | ---
__init__ getFormFields process
| __init__
    __init__ (
            self,
            configurator,
            coll,
            linkfrom,
            )
| getFormFields
    getFormFields ( self,  request )
| process
    process (
            self,
            write,
            request,
            submit,
            name="",
            type=None,
            items=(),
            )
Exceptions |
--- | ---
widgets.FormInputError("Don't know how to %s" % repr( submit ) )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:33 2002 by HappyDoc version 2.0